%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
%global reltag 20110726.072722-1
%define subrel 1

Name:          noise
Version:       0.0.8
Release:       %mkrel 4
Summary:       Library for noise generation algorithms
Group:         Development/Java
License:       BSD
Url:           http://novyon.net
Source0:       http://novyon.net/maven/org/novyon/noise/%{namedversion}/noise-%{version}-%{reltag}-sources.jar
Source1:       http://novyon.net/maven/org/novyon/noise/%{namedversion}/noise-%{version}-%{reltag}.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit
BuildRequires: maven-compiler-plugin
BuildRequires: maven-local
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-wagon

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Library for - basically 3D - noise generation algorithms.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -T -q -c

mkdir -p src/main/java

(
  cd src/main/java
  %jar -xf %SOURCE0
  rm -rf META-INF
)

cp -p %SOURCE1 pom.xml

%build

mvn-rpmbuild -e \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 0.0.8-4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Tue Oct 22 2013 umeabot <umeabot> 0.0.8-4.mga4
+ Revision: 545948
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0.0.8-3.mga4
+ Revision: 502021
- BR maven-local for mvn-rpmbuild

* Sat Jan 12 2013 umeabot <umeabot> 0.0.8-2.mga3
+ Revision: 361043
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 01 2011 gil <gil> 0.0.8-1.mga2
+ Revision: 160712
- imported package noise

